diff --git a/src/monitor/monitor_sbus.c b/src/monitor/monitor_sbus.c
index 66270a7..d94116e 100644
--- a/src/monitor/monitor_sbus.c
+++ b/src/monitor/monitor_sbus.c
@@ -61,8 +61,8 @@ static void id_callback(DBusPendingCall *pending, void *ptr)
          * until reply is valid or timeout has occurred. If reply is NULL
          * here, something is seriously wrong and we should bail out.
          */
-        DEBUG(0, ("Severe error. A reply callback was called but no"
-                  " reply was received and no timeout occurred\n"));
+        DEBUG(0, "Severe error. A reply callback was called but no"
+                  " reply was received and no timeout occurred\n");
 
         /* FIXME: Destroy this connection ? */
         goto done;
@@ -75,19 +75,19 @@ static void id_callback(DBusPendingCall *pending, void *ptr)
                                     DBUS_TYPE_UINT16, &mon_ver,
                                     DBUS_TYPE_INVALID);
         if (!ret) {
-            DEBUG(1, ("Failed to parse message\n"));
+            DEBUG(1, "Failed to parse message\n");
             if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
             /* FIXME: Destroy this connection ? */
             goto done;
         }
 
-        DEBUG(4, ("Got id ack and version (%d) from Monitor\n", mon_ver));
+        DEBUG(4, "Got id ack and version (%d) from Monitor\n", mon_ver);
 
         break;
 
     case DBUS_MESSAGE_TYPE_ERROR:
-        DEBUG(0,("The Monitor returned an error [%s]\n",
-                 dbus_message_get_error_name(reply)));
+        DEBUG(0,"The Monitor returned an error [%s]\n",
+                 dbus_message_get_error_name(reply));
         /* Falling through to default intentionally*/
     default:
         /*
@@ -120,18 +120,18 @@ int monitor_common_send_id(struct sbus_connection *conn,
                                        MON_SRV_INTERFACE,
                                        MON_SRV_METHOD_REGISTER);
     if (msg == NULL) {
-        DEBUG(0, ("Out of memory?!\n"));
+        DEBUG(0, "Out of memory?!\n");
         return ENOMEM;
     }
 
-    DEBUG(4, ("Sending ID: (%s,%d)\n", name, version));
+    DEBUG(4, "Sending ID: (%s,%d)\n", name, version);
 
     ret = dbus_message_append_args(msg,
                                    DBUS_TYPE_STRING, &name,
                                    DBUS_TYPE_UINT16, &version,
                                    DBUS_TYPE_INVALID);
     if (!ret) {
-        DEBUG(1, ("Failed to build message\n"));
+        DEBUG(1, "Failed to build message\n");
         return EIO;
     }
 
@@ -197,14 +197,14 @@ errno_t monitor_common_rotate_logs(struct confdb_ctx *confdb,
                          old_debug_level,
                          &debug_level);
     if (ret != EOK) {
-        DEBUG(0, ("Error reading from confdb (%d) [%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(0, "Error reading from confdb (%d) [%s]\n",
+                  ret, strerror(ret));
         /* Try to proceed with the old value */
         debug_level = old_debug_level;
     }
 
     if (debug_level != old_debug_level) {
-        DEBUG(0, ("Debug level changed to %#.4x\n", debug_level));
+        DEBUG(0, "Debug level changed to %#.4x\n", debug_level);
         debug_level = debug_convert_old_level(debug_level);
     }
 
@@ -226,7 +226,7 @@ errno_t sss_monitor_init(TALLOC_CTX *mem_ctx,
     /* Set up SBUS connection to the monitor */
     ret = monitor_get_sbus_address(NULL, &sbus_address);
     if (ret != EOK) {
-        DEBUG(0, ("Could not locate monitor address.\n"));
+        DEBUG(0, "Could not locate monitor address.\n");
         return ret;
     }
 
@@ -234,7 +234,7 @@ errno_t sss_monitor_init(TALLOC_CTX *mem_ctx,
                            intf, &conn,
                            NULL, pvt);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to connect to monitor services.\n"));
+        DEBUG(0, "Failed to connect to monitor services.\n");
         talloc_free(sbus_address);
         return ret;
     }
@@ -243,7 +243,7 @@ errno_t sss_monitor_init(TALLOC_CTX *mem_ctx,
     /* Identify ourselves to the monitor */
     ret = monitor_common_send_id(conn, svc_name, svc_version);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to identify to the monitor!\n"));
+        DEBUG(0, "Failed to identify to the monitor!\n");
         return ret;
     }
 
diff --git a/src/providers/ad/ad_access.c b/src/providers/ad/ad_access.c
index 746017d..0ac417a 100644
--- a/src/providers/ad/ad_access.c
+++ b/src/providers/ad/ad_access.c
@@ -46,7 +46,7 @@ ad_access_handler(struct be_req *breq)
     if (strcasecmp(pd->domain, be_ctx->domain->name) != 0) {
         domain = find_subdomain_by_name(be_ctx->domain, pd->domain, true);
         if (domain == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("find_subdomain_by_name failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "find_subdomain_by_name failed.\n");
             be_req_terminate(breq, DP_ERR_FATAL, PAM_SYSTEM_ERR, NULL);
             return;
         }
diff --git a/src/providers/ad/ad_common.c b/src/providers/ad/ad_common.c
index ab62d64..ab247a4 100644
--- a/src/providers/ad/ad_common.c
+++ b/src/providers/ad/ad_common.c
@@ -128,21 +128,21 @@ ad_create_default_options(TALLOC_CTX *mem_ctx,
 
     ad_options->id = ad_create_default_sdap_options(ad_options);
     if (ad_options->id == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot initialize AD LDAP options\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot initialize AD LDAP options\n");
         talloc_free(ad_options);
         return NULL;
     }
 
     ret = dp_opt_set_string(ad_options->basic, AD_KRB5_REALM, realm);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot set AD domain\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot set AD domain\n");
         talloc_free(ad_options);
         return NULL;
     }
 
     ret = dp_opt_set_string(ad_options->basic, AD_HOSTNAME, hostname);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot set AD domain\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot set AD domain\n");
         talloc_free(ad_options);
         return NULL;
     }
@@ -280,7 +280,7 @@ ad_get_common_options(TALLOC_CTX *mem_ctx,
     server = dp_opt_get_string(opts->basic, AD_SERVER);
     if (!server) {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("No AD server set, will use service discovery!\n"));
+              "No AD server set, will use service discovery!\n");
     }
 
     /* Set the machine's hostname to the local host name if it
@@ -292,18 +292,18 @@ ad_get_common_options(TALLOC_CTX *mem_ctx,
         if (gret != 0) {
             ret = errno;
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("gethostname failed [%s].\n",
-                   strerror(ret)));
+                  "gethostname failed [%s].\n",
+                   strerror(ret));
             goto done;
         }
         hostname[HOST_NAME_MAX] = '\0';
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Setting ad_hostname to [%s].\n", hostname));
+              "Setting ad_hostname to [%s].\n", hostname);
         ret = dp_opt_set_string(opts->basic, AD_HOSTNAME, hostname);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Setting ad_hostname failed [%s].\n",
-                   strerror(ret)));
+                  "Setting ad_hostname failed [%s].\n",
+                   strerror(ret));
             goto done;
         }
     }
@@ -331,13 +331,13 @@ ad_get_common_options(TALLOC_CTX *mem_ctx,
                           dom->case_sensitive);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not set domain case-sensitive: [%s]\n",
-               strerror(ret)));
+              "Could not set domain case-sensitive: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Setting domain case-insensitive\n"));
+          "Setting domain case-insensitive\n");
 
     ret = EOK;
     *_opts = opts;
@@ -374,7 +374,7 @@ _ad_servers_init(TALLOC_CTX *mem_ctx,
     /* Split the server list */
     ret = split_on_separator(tmp_ctx, servers, ',', true, true, &list, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to parse server list!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to parse server list!\n");
         goto done;
     }
 
@@ -383,9 +383,9 @@ _ad_servers_init(TALLOC_CTX *mem_ctx,
         if (be_fo_is_srv_identifier(list[i])) {
             if (!primary) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Failed to add server [%s] to failover service: "
+                      "Failed to add server [%s] to failover service: "
                        "SRV resolution only allowed for primary servers!\n",
-                       list[i]));
+                       list[i]);
                 continue;
             }
 
@@ -401,8 +401,8 @@ _ad_servers_init(TALLOC_CTX *mem_ctx,
                                        false, sdata);
             if (ret != EOK) {
                 DEBUG(SSSDBG_FATAL_FAILURE,
-                      ("Failed to add service discovery to failover: [%s]",
-                       strerror(ret)));
+                      "Failed to add service discovery to failover: [%s]",
+                       strerror(ret));
                 goto done;
             }
 
@@ -418,12 +418,12 @@ _ad_servers_init(TALLOC_CTX *mem_ctx,
                                        false, sdata);
             if (ret != EOK) {
                 DEBUG(SSSDBG_FATAL_FAILURE,
-                      ("Failed to add service discovery to failover: [%s]",
-                       strerror(ret)));
+                      "Failed to add service discovery to failover: [%s]",
+                       strerror(ret));
                 goto done;
             }
 
-            DEBUG(SSSDBG_CONF_SETTINGS, ("Added service discovery for AD\n"));
+            DEBUG(SSSDBG_CONF_SETTINGS, "Added service discovery for AD\n");
             continue;
         }
 
@@ -443,7 +443,7 @@ _ad_servers_init(TALLOC_CTX *mem_ctx,
 
         ret = be_fo_add_server(bectx, fo_gc_service, list[i], 0, sdata, primary);
         if (ret && ret != EEXIST) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to add server\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Failed to add server\n");
             goto done;
         }
 
@@ -456,11 +456,11 @@ _ad_servers_init(TALLOC_CTX *mem_ctx,
 
         ret = be_fo_add_server(bectx, fo_service, list[i], 0, sdata, primary);
         if (ret && ret != EEXIST) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Failed to add server\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Failed to add server\n");
             goto done;
         }
 
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Added failover server %s\n", list[i]));
+        DEBUG(SSSDBG_CONF_SETTINGS, "Added failover server %s\n", list[i]);
     }
 done:
     talloc_free(tmp_ctx);
@@ -494,13 +494,13 @@ static int ad_user_data_cmp(void *ud1, void *ud2)
     sd1 = talloc_get_type(ud1, struct ad_server_data);
     sd2 = talloc_get_type(ud2, struct ad_server_data);
     if (sd1 == NULL || sd2 == NULL) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No user data\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No user data\n");
         return sd1 == sd2 ? 0 : 1;
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("Comparing %s with %s\n",
+    DEBUG(SSSDBG_TRACE_LIBS, "Comparing %s with %s\n",
           sd1->gc ? "GC" : "LDAP",
-          sd2->gc ? "GC" : "LDAP"));
+          sd2->gc ? "GC" : "LDAP");
 
     if (sd1->gc == sd2->gc) {
         return 0;
@@ -514,11 +514,11 @@ static void ad_online_cb(void *pvt)
     struct ad_service *service = talloc_get_type(pvt, struct ad_service);
 
     if (service == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid private pointer\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid private pointer\n");
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("The AD provider is online\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "The AD provider is online\n");
 }
 
 errno_t
@@ -566,13 +566,13 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
 
     ret = be_fo_add_service(bectx, ad_service, ad_user_data_cmp);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to create failover service!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to create failover service!\n");
         goto done;
     }
 
     ret = be_fo_add_service(bectx, ad_gc_service, ad_user_data_cmp);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to create GC failover service!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to create GC failover service!\n");
         goto done;
     }
 
@@ -586,7 +586,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
     service->gc->kinit_service_name = service->krb5_service->name;
 
     if (!krb5_realm) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No Kerberos realm set\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No Kerberos realm set\n");
         ret = EINVAL;
         goto done;
     }
@@ -599,7 +599,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
 
     if (!primary_servers) {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("No primary servers defined, using service discovery\n"));
+              "No primary servers defined, using service discovery\n");
         primary_servers = BE_SRV_IDENTIFIER;
     }
 
@@ -621,7 +621,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
 
     ret = be_add_online_cb(bectx, bectx, ad_online_cb, service, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not set up AD online callback\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not set up AD online callback\n");
         return ret;
     }
 
@@ -629,7 +629,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
                                      ad_resolve_callback, service);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to add failover callback! [%s]\n", strerror(ret)));
+              "Failed to add failover callback! [%s]\n", strerror(ret));
         goto done;
     }
 
@@ -637,7 +637,7 @@ ad_failover_init(TALLOC_CTX *mem_ctx, struct be_ctx *bectx,
                                      ad_resolve_callback, service);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to add failover callback! [%s]\n", strerror(ret)));
+              "Failed to add failover callback! [%s]\n", strerror(ret));
         goto done;
     }
 
@@ -666,13 +666,13 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
 
     tmp_ctx = talloc_new(NULL);
     if (!tmp_ctx) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
         return;
     }
 
     sdata = fo_get_server_user_data(server);
     if (fo_is_srv_lookup(server) == false && sdata == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No user data?\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No user data?\n");
         return;
     }
 
@@ -685,37 +685,37 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
     srvaddr = fo_get_server_hostent(server);
     if (!srvaddr) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("No hostent available for server (%s)\n",
-               fo_get_server_str_name(server)));
+              "No hostent available for server (%s)\n",
+               fo_get_server_str_name(server));
         ret = EINVAL;
         goto done;
     }
 
     address = resolv_get_string_address(tmp_ctx, srvaddr);
     if (address == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("resolv_get_string_address failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "resolv_get_string_address failed.\n");
         ret = EIO;
         goto done;
     }
 
     srv_name = fo_get_server_name(server);
     if (srv_name == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not get server host name\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not get server host name\n");
         ret = EINVAL;
         goto done;
     }
 
     new_uri = talloc_asprintf(service->sdap, "ldap://%s", srv_name);
     if (!new_uri) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to copy URI\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to copy URI\n");
         ret = ENOMEM;
         goto done;
     }
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Constructed uri '%s'\n", new_uri));
+    DEBUG(SSSDBG_CONF_SETTINGS, "Constructed uri '%s'\n", new_uri);
 
     sockaddr = resolv_get_sockaddr_address(tmp_ctx, srvaddr, LDAP_PORT);
     if (sockaddr == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("resolv_get_sockaddr_address failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "resolv_get_sockaddr_address failed.\n");
         ret = EIO;
         goto done;
     }
@@ -746,15 +746,15 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
     }
 
     if (!service->gc->uri) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to append to URI\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to append to URI\n");
         ret = ENOMEM;
         goto done;
     }
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Constructed GC uri '%s'\n", service->gc->uri));
+    DEBUG(SSSDBG_CONF_SETTINGS, "Constructed GC uri '%s'\n", service->gc->uri);
 
     if (service->gc->sockaddr == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-                ("resolv_get_sockaddr_address failed.\n"));
+                "resolv_get_sockaddr_address failed.\n");
         ret = EIO;
         goto done;
     }
@@ -767,7 +767,7 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
                                             srvaddr->family,
                                             address);
         if (safe_address == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("sss_escape_ip_address failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "sss_escape_ip_address failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -776,7 +776,7 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
                                 SSS_KRB5KDC_FO_SRV);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                ("write_krb5info_file failed, authentication might fail.\n"));
+                "write_krb5info_file failed, authentication might fail.\n");
         }
     }
 
@@ -784,7 +784,7 @@ ad_resolve_callback(void *private_data, struct fo_server *server)
 done:
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Error: [%s]\n", strerror(ret)));
+              "Error: [%s]\n", strerror(ret));
     }
     talloc_free(tmp_ctx);
     return;
@@ -805,7 +805,7 @@ ad_set_ad_id_options(struct ad_options *ad_opts,
                             SDAP_PWD_POLICY,
                             PWD_POL_OPT_MIT);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Could not set password policy\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Could not set password policy\n");
         goto done;
     }
 
@@ -813,7 +813,7 @@ ad_set_ad_id_options(struct ad_options *ad_opts,
     krb5_realm = dp_opt_get_string(ad_opts->basic, AD_KRB5_REALM);
     if (!krb5_realm) {
         /* Should be impossible, this is set in ad_get_common_options() */
-        DEBUG(SSSDBG_FATAL_FAILURE, ("No Kerberos realm\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "No Kerberos realm\n");
         ret = EINVAL;
         goto done;
     }
@@ -821,9 +821,9 @@ ad_set_ad_id_options(struct ad_options *ad_opts,
     ret = dp_opt_set_string(id_opts->basic, SDAP_KRB5_REALM, krb5_realm);
     if (ret != EOK) goto done;
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Option %s set to %s\n",
+          "Option %s set to %s\n",
            id_opts->basic[SDAP_KRB5_REALM].opt_name,
-           krb5_realm));
+           krb5_realm);
 
     keytab_path = dp_opt_get_string(ad_opts->basic, AD_KEYTAB);
     if (keytab_path) {
@@ -831,9 +831,9 @@ ad_set_ad_id_options(struct ad_options *ad_opts,
                                 keytab_path);
         if (ret != EOK) goto done;
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Option %s set to %s\n",
+              "Option %s set to %s\n",
                id_opts->basic[SDAP_KRB5_KEYTAB].opt_name,
-               keytab_path));
+               keytab_path);
     }
 
     ret = sdap_set_sasl_options(id_opts,
@@ -843,7 +843,7 @@ ad_set_ad_id_options(struct ad_options *ad_opts,
                                                   AD_KRB5_REALM),
                                 keytab_path);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot set the SASL-related options\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot set the SASL-related options\n");
         goto done;
     }
 
@@ -927,16 +927,16 @@ ad_set_search_bases(struct sdap_options *id_opts)
                     goto done;
                 }
                 DEBUG(SSSDBG_CONF_SETTINGS,
-                      ("Option %s set to %s\n",
+                      "Option %s set to %s\n",
                        id_opts->basic[search_base_options[o]].opt_name,
                        dp_opt_get_string(id_opts->basic,
-                                         search_base_options[o])));
+                                         search_base_options[o]));
             }
         }
     } else {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Search base not set. SSSD will attempt to discover it later, "
-               "when connecting to the LDAP server.\n"));
+              "Search base not set. SSSD will attempt to discover it later, "
+               "when connecting to the LDAP server.\n");
     }
 
     /* Default search */
@@ -994,7 +994,7 @@ ad_get_auth_options(TALLOC_CTX *mem_ctx,
                          &krb5_options);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not read Kerberos options from the configuration\n"));
+              "Could not read Kerberos options from the configuration\n");
         goto done;
     }
 
@@ -1004,16 +1004,16 @@ ad_get_auth_options(TALLOC_CTX *mem_ctx,
     ret = dp_opt_set_string(krb5_options, KRB5_KDC, ad_servers);
     if (ret != EOK) goto done;
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Option %s set to %s\n",
+          "Option %s set to %s\n",
            krb5_options[KRB5_KDC].opt_name,
-           ad_servers));
+           ad_servers);
 
     /* Set krb5 realm */
     /* Set the Kerberos Realm for GSSAPI */
     krb5_realm = dp_opt_get_string(ad_opts->basic, AD_KRB5_REALM);
     if (!krb5_realm) {
         /* Should be impossible, this is set in ad_get_common_options() */
-        DEBUG(SSSDBG_FATAL_FAILURE, ("No Kerberos realm\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "No Kerberos realm\n");
         ret = EINVAL;
         goto done;
     }
@@ -1024,18 +1024,18 @@ ad_get_auth_options(TALLOC_CTX *mem_ctx,
     ret = dp_opt_set_string(krb5_options, KRB5_REALM, krb5_realm);
     if (ret != EOK) goto done;
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Option %s set to %s\n",
+          "Option %s set to %s\n",
            krb5_options[KRB5_REALM].opt_name,
-           krb5_realm));
+           krb5_realm);
 
     /* Set flag that controls whether we want to write the
      * kdcinfo files at all
      */
     ad_opts->service->krb5_service->write_kdcinfo = \
         dp_opt_get_bool(krb5_options, KRB5_USE_KDCINFO);
-    DEBUG(SSSDBG_CONF_SETTINGS, ("Option %s set to %s\n",
+    DEBUG(SSSDBG_CONF_SETTINGS, "Option %s set to %s\n",
           krb5_options[KRB5_USE_KDCINFO].opt_name,
-          ad_opts->service->krb5_service->write_kdcinfo ? "true" : "false"));
+          ad_opts->service->krb5_service->write_kdcinfo ? "true" : "false");
 
     *_opts = talloc_steal(mem_ctx, krb5_options);
 
@@ -1055,8 +1055,8 @@ errno_t ad_get_dyndns_options(struct be_ctx *be_ctx,
                            &ad_opts->dyndns_ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Cannot initialize AD dyndns opts [%d]: %s\n",
-               ret, sss_strerror(ret)));
+              "Cannot initialize AD dyndns opts [%d]: %s\n",
+               ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/ad/ad_domain_info.c b/src/providers/ad/ad_domain_info.c
index c24da93..7e418f3 100644
--- a/src/providers/ad/ad_domain_info.c
+++ b/src/providers/ad/ad_domain_info.c
@@ -56,15 +56,15 @@ netlogon_get_flat_name(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_attrs_get_el(reply, AD_AT_NETLOGON, &el);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_get_el() failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_get_el() failed\n");
         return ret;
     }
 
     if (el->num_values == 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("netlogon has no value\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "netlogon has no value\n");
         return ENOENT;
     } else if (el->num_values > 1) {
-        DEBUG(SSSDBG_OP_FAILURE, ("More than one netlogon value?\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "More than one netlogon value?\n");
         return EIO;
     }
 
@@ -73,22 +73,22 @@ netlogon_get_flat_name(TALLOC_CTX *mem_ctx,
 
     ndr_pull = ndr_pull_init_blob(&blob, mem_ctx);
     if (ndr_pull == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ndr_pull_init_blob() failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ndr_pull_init_blob() failed.\n");
         return ENOMEM;
     }
 
     ndr_err = ndr_pull_netlogon_samlogon_response(ndr_pull, NDR_SCALARS,
                                                   &response);
     if (!NDR_ERR_CODE_IS_SUCCESS(ndr_err)) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ndr_pull_netlogon_samlogon_response() "
-                                  "failed [%d]\n", ndr_err));
+        DEBUG(SSSDBG_OP_FAILURE, "ndr_pull_netlogon_samlogon_response() "
+                                  "failed [%d]\n", ndr_err);
         ret = EBADMSG;
         goto done;
     }
 
     if (!(response.ntver & NETLOGON_NT_VERSION_5EX)) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Wrong version returned [%x]\n",
-                                  response.ntver));
+        DEBUG(SSSDBG_OP_FAILURE, "Wrong version returned [%x]\n",
+                                  response.ntver);
         ret = EBADMSG;
         goto done;
     }
@@ -97,14 +97,14 @@ netlogon_get_flat_name(TALLOC_CTX *mem_ctx,
         *response.data.nt5_ex.domain_name != '\0') {
         flat_name = response.data.nt5_ex.domain_name;
     } else {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("No netlogon data available\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "No netlogon data available\n");
         ret = ENOENT;
         goto done;
     }
 
     *_flat_name = talloc_strdup(mem_ctx, flat_name);
     if (*_flat_name == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -195,7 +195,7 @@ ad_master_domain_next(struct tevent_req *req)
                                                   SDAP_SEARCH_TIMEOUT),
                                    false);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send failed.\n");
         return ENOMEM;
     }
     tevent_req_set_callback(subreq, ad_master_domain_next_done, req);
@@ -224,7 +224,7 @@ ad_master_domain_next_done(struct tevent_req *subreq)
     ret = sdap_get_generic_recv(subreq, state, &reply_count, &reply);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send request failed.\n");
         goto done;
     }
 
@@ -244,7 +244,7 @@ ad_master_domain_next_done(struct tevent_req *subreq)
     } else if (reply_count == 1) {
         ret = sysdb_attrs_get_el(reply[0], AD_AT_OBJECT_SID, &el);
         if (ret != EOK || el->num_values != 1) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sdap_attrs_get_el failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sdap_attrs_get_el failed.\n");
             goto done;
         }
 
@@ -254,7 +254,7 @@ ad_master_domain_next_done(struct tevent_req *subreq)
                                        &sid_str);
         if (err != IDMAP_SUCCESS) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not convert SID: [%s].\n", idmap_error_string(err)));
+                  "Could not convert SID: [%s].\n", idmap_error_string(err));
             ret = EFAULT;
             goto done;
         }
@@ -262,17 +262,17 @@ ad_master_domain_next_done(struct tevent_req *subreq)
         state->sid = talloc_steal(state, sid_str);
     } else {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("More than one result for domain SID found.\n"));
+              "More than one result for domain SID found.\n");
         ret = EINVAL;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Found SID [%s].\n", state->sid));
+    DEBUG(SSSDBG_TRACE_FUNC, "Found SID [%s].\n", state->sid);
 
     ntver = sss_ldap_encode_ndr_uint32(state, NETLOGON_NT_VERSION_5EX |
                                        NETLOGON_NT_VERSION_WITH_CLOSEST_SITE);
     if (ntver == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_ldap_encode_ndr_uint32 failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_ldap_encode_ndr_uint32 failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -281,7 +281,7 @@ ad_master_domain_next_done(struct tevent_req *subreq)
                              AD_AT_DNS_DOMAIN, state->dom_name,
                              AD_AT_NT_VERSION, ntver);
     if (filter == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -294,7 +294,7 @@ ad_master_domain_next_done(struct tevent_req *subreq)
                                                   SDAP_SEARCH_TIMEOUT),
                                    false);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -321,19 +321,19 @@ ad_master_domain_netlogon_done(struct tevent_req *subreq)
     ret = sdap_get_generic_recv(subreq, state, &reply_count, &reply);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_get_generic_send request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_get_generic_send request failed.\n");
         tevent_req_error(req, ret);
         return;
     }
 
     /* Failure to get the flat name is not fatal. Just quit. */
     if (reply_count == 0) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("No netlogon data available. Flat name " \
-                                     "might not be usable\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "No netlogon data available. Flat name " \
+                                     "might not be usable\n");
         goto done;
     } else if (reply_count > 1) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-                ("More than one netlogon info returned.\n"));
+                "More than one netlogon info returned.\n");
         goto done;
     }
 
@@ -341,12 +341,12 @@ ad_master_domain_netlogon_done(struct tevent_req *subreq)
 
     ret = netlogon_get_flat_name(state, reply[0], &state->flat);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Could not get the flat name\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Could not get the flat name\n");
         /* Not fatal. Just quit. */
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Found flat name [%s].\n", state->flat));
+    DEBUG(SSSDBG_TRACE_FUNC, "Found flat name [%s].\n", state->flat);
 done:
     tevent_req_done(req);
     return;
